## haskell-hashtables 1.4.2

=== cbits/Makefile ===
check: default.c common.c check.c sse-42.c
	@echo "Testing portable version..."
	@gcc -o check -O3 default.c common.c check.c
	@./check
	@rm check

	@echo
	@echo "Testing SSE 4.2 version..."
	@gcc -o check -O3 -msse4.2 sse-42.c common.c check.c sse-42-check.c
	@./check
	@rm check

clean:
	rm -f *.o check

## haskell-hashtables 1.0.0.0

=== debian/changelog ===
haskell-hashtables (1.0.0.0-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Iain Lane <laney@debian.org>  Thu, 23 Feb 2012 11:13:59 +0000

haskell-hashtables (1.0.0.0-1) unstable; urgency=low

  * Initial release.

 -- Iain Lane <laney@debian.org>  Wed, 23 Nov 2011 10:24:22 +0000

=== debian/control ===
Source: haskell-hashtables
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7.0.50~),
               ghc,
               ghc-doc,
               ghc-prof,
               haskell-devscripts (>= 0.7),
               libghc-hashable-dev (>= 1.1),
               libghc-hashable-dev (<< 2),
               libghc-hashable-prof (>= 1.1),
               libghc-hashable-prof (<< 2),
               libghc-hashable-doc (>= 1.1),
               libghc-hashable-doc (<< 2),
               libghc-primitive-dev,
               libghc-primitive-prof,
               libghc-primitive-doc,
               libghc-vector-dev (>= 0.7),
               libghc-vector-prof (>= 0.7),
               libghc-vector-doc (>= 0.7)
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/hashtables

Package: libghc-hashtables-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: mutable hash tables
 This package provides a couple of different implementations of mutable hash
 tables in the ST monad, as well as a typeclass abstracting their common
 operations, and a set of wrappers to use the hash tables in the IO monad. 
 .
 There are three hash table implementations: 
 .
  * Data.HashTable.ST.Basic contains a basic open-addressing hash table using
    linear probing as the collision strategy. This should currently be the
    fastest available hash table implementation for lookups, although it has a
    higher memory overhead than others.
  * Data.HashTable.ST.Cuckoo contains an implementation of "cuckoo hashing".
    Cuckoo hashing has worst-case O(1) lookups and performs well even when the
    table is highly loaded. 
  * Data.HashTable.ST.Linear contains a linear hash table, which trades some
    insert and lookup performance for higher space efficiency and much shorter
    delays when expanding the table.
 .
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.

Package: libghc-hashtables-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: mutable hash tables -- profiling libraries
 This package provides a couple of different implementations of mutable hash
 tables in the ST monad, as well as a typeclass abstracting their common
 operations, and a set of wrappers to use the hash tables in the IO monad. 
 .
 There are three hash table implementations: 
 .
  * Data.HashTable.ST.Basic contains a basic open-addressing hash table using
    linear probing as the collision strategy. This should currently be the
    fastest available hash table implementation for lookups, although it has a
    higher memory overhead than others.
  * Data.HashTable.ST.Cuckoo contains an implementation of "cuckoo hashing".
    Cuckoo hashing has worst-case O(1) lookups and performs well even when the
    table is highly loaded. 
  * Data.HashTable.ST.Linear contains a linear hash table, which trades some
    insert and lookup performance for higher space efficiency and much shorter
    delays when expanding the table.
 .
 This package provides a library for the Haskell programming language, compiled
 for profiling.  See http://www.haskell.org/ for more information on Haskell.

Package: libghc-hashtables-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: mutable hash tables -- documentation
 This package provides a couple of different implementations of mutable hash
 tables in the ST monad, as well as a typeclass abstracting their common
 operations, and a set of wrappers to use the hash tables in the IO monad. 
 .
 There are three hash table implementations: 
 .
  * Data.HashTable.ST.Basic contains a basic open-addressing hash table using
    linear probing as the collision strategy. This should currently be the
    fastest available hash table implementation for lookups, although it has a
    higher memory overhead than others.
  * Data.HashTable.ST.Cuckoo contains an implementation of "cuckoo hashing".
    Cuckoo hashing has worst-case O(1) lookups and performs well even when the
    table is highly loaded. 
  * Data.HashTable.ST.Linear contains a linear hash table, which trades some
    insert and lookup performance for higher space efficiency and much shorter
    delays when expanding the table.
 .
 This package provides the documentation for a library for the Haskell
 programming language.  See http://www.haskell.org/ for more information on
 Haskell.

## haskell-hashtables 1.0.1.4

=== debian/changelog ===
haskell-hashtables (1.0.1.4-1build2) quantal; urgency=low

  * No-change rebuild against GHC 7.4.2-2

 -- Iain Lane <laney@ubuntu.com>  Sun, 12 Aug 2012 17:54:58 +0000

haskell-hashtables (1.0.1.4-1build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 13 Jul 2012 22:30:54 +0400

haskell-hashtables (1.0.1.4-1) unstable; urgency=low

  * New upstream release (Closes: #669227)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 20 Apr 2012 15:28:39 +0200

## haskell-hashtables 1.0.1.8

=== debian/changelog ===
haskell-hashtables (1.0.1.8-2build2) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Oct 2013 00:47:11 +0100

haskell-hashtables (1.0.1.8-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 10:36:57 +0100

haskell-hashtables (1.0.1.8-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:49 +0200

haskell-hashtables (1.0.1.8-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 13 Dec 2012 09:16:08 +0100

haskell-hashtables (1.0.1.4-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>
 Build-Depends: cdbs,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 9),
                ghc,
                ghc-doc,
                ghc-prof,
-               haskell-devscripts (>= 0.7),
+               haskell-devscripts (>= 0.8.15),
                libghc-hashable-dev (>= 1.1),
                libghc-hashable-dev (<< 2),
-               libghc-hashable-prof (>= 1.1),
-               libghc-hashable-prof (<< 2),
-               libghc-hashable-doc (>= 1.1),
-               libghc-hashable-doc (<< 2),
-               libghc-primitive-dev,
+               libghc-hashable-prof,
+               libghc-hashable-doc,
+               libghc-primitive-dev (>= 0.4),
+               libghc-primitive-dev (<< 0.6),
                libghc-primitive-prof,
                libghc-primitive-doc,
                libghc-vector-dev (>= 0.7),
-               libghc-vector-prof (>= 0.7),
-               libghc-vector-doc (>= 0.7)
-Standards-Version: 3.9.2
+               libghc-vector-dev (<< 0.11),
+               libghc-vector-prof,
+               libghc-vector-doc
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/hashtables
 
 Package: libghc-hashtables-dev
@@ -30,7 +30,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: mutable hash tables
+Description: mutable hash tables${haskell:ShortBlurb}
  This package provides a couple of different implementations of mutable hash
  tables in the ST monad, as well as a typeclass abstracting their common
  operations, and a set of wrappers to use the hash tables in the IO monad. 
@@ -48,8 +48,7 @@
     insert and lookup performance for higher space efficiency and much shorter
     delays when expanding the table.
  .
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
+ ${haskell:Blurb}
 
 Package: libghc-hashtables-prof
 Architecture: any
@@ -57,7 +56,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: mutable hash tables -- profiling libraries
+Description: mutable hash tables -- profiling libraries${haskell:ShortBlurb}
  This package provides a couple of different implementations of mutable hash
  tables in the ST monad, as well as a typeclass abstracting their common
  operations, and a set of wrappers to use the hash tables in the IO monad. 
@@ -75,8 +74,7 @@
     insert and lookup performance for higher space efficiency and much shorter
     delays when expanding the table.
  .
- This package provides a library for the Haskell programming language, compiled
- for profiling.  See http://www.haskell.org/ for more information on Haskell.
+ ${haskell:Blurb}
 
 Package: libghc-hashtables-doc
 Section: doc
@@ -85,7 +83,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: mutable hash tables -- documentation
+Description: mutable hash tables -- documentation${haskell:ShortBlurb}
  This package provides a couple of different implementations of mutable hash
  tables in the ST monad, as well as a typeclass abstracting their common
  operations, and a set of wrappers to use the hash tables in the IO monad. 
@@ -103,6 +101,4 @@
     insert and lookup performance for higher space efficiency and much shorter
     delays when expanding the table.
  .
- This package provides the documentation for a library for the Haskell
- programming language.  See http://www.haskell.org/ for more information on
- Haskell.
+ ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hashtables-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hashtables \
    ([\d\.]*\d)/

## haskell-hashtables 1.1.2.1

=== debian/changelog ===
haskell-hashtables (1.1.2.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:12 +0200

haskell-hashtables (1.1.2.1-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:10:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                ghc,
                ghc-doc,
                ghc-prof,
-               haskell-devscripts (>= 0.8.15),
-               libghc-hashable-dev (>= 1.1),
-               libghc-hashable-dev (<< 2),
+               haskell-devscripts (>= 0.9),
+               libghc-hashable-dev (>= 1.2.1),
+               libghc-hashable-dev (<< 1.3),
                libghc-hashable-prof,
                libghc-hashable-doc,
                libghc-primitive-dev (>= 0.4),
@@ -18,7 +18,7 @@
                libghc-primitive-prof,
                libghc-primitive-doc,
                libghc-vector-dev (>= 0.7),
-               libghc-vector-dev (<< 0.11),
+               libghc-vector-dev (<< 0.12),
                libghc-vector-prof,
                libghc-vector-doc
 Standards-Version: 3.9.4

## haskell-hashtables 1.2.0.2

=== debian/changelog ===
haskell-hashtables (1.2.0.2-2) unstable; urgency=medium

  * Fix build-depends 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 01 Jul 2015 12:54:54 +0200

haskell-hashtables (1.2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 21:40:35 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
                libghc-hashable-dev (<< 1.3),
                libghc-hashable-prof,
                libghc-hashable-doc,
-               libghc-primitive-dev (>= 0.4),
-               libghc-primitive-dev (<< 0.6),
+               libghc-primitive-dev,
                libghc-primitive-prof,
                libghc-primitive-doc,
                libghc-vector-dev (>= 0.7),

## haskell-hashtables 1.2.1.0

=== debian/changelog ===
haskell-hashtables (1.2.1.0-1build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 15:45:53 +0000

haskell-hashtables (1.2.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 04 Dec 2015 00:09:22 -0500

haskell-hashtables (1.2.0.2-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:32 -0500

haskell-hashtables (1.2.0.2-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:46 +0200

=== debian/control ===
Source: haskell-hashtables
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-hashable-dev,
 libghc-hashable-prof,
 libghc-primitive-dev,
 libghc-primitive-prof,
 libghc-vector-dev (>= 0.7),
 libghc-vector-dev (<< 0.12),
 libghc-vector-prof,
Build-Depends-Indep: ghc-doc,
 libghc-hashable-doc,
 libghc-primitive-doc,
 libghc-vector-doc,
Standards-Version: 3.9.6
Homepage: http://github.com/gregorycollins/hashtables
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hashtables-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: mutable hash tables${haskell:ShortBlurb}
 This package provides a couple of different implementations of mutable hash
 tables in the ST monad, as well as a typeclass abstracting their common
 operations, and a set of wrappers to use the hash tables in the IO monad.
 .
 There are three hash table implementations:
 .
  * Data.HashTable.ST.Basic contains a basic open-addressing hash table using
    linear probing as the collision strategy. This should currently be the
    fastest available hash table implementation for lookups, although it has a
    higher memory overhead than others.
  * Data.HashTable.ST.Cuckoo contains an implementation of "cuckoo hashing".
    Cuckoo hashing has worst-case O(1) lookups and performs well even when the
    table is highly loaded.
  * Data.HashTable.ST.Linear contains a linear hash table, which trades some
    insert and lookup performance for higher space efficiency and much shorter
    delays when expanding the table.
 .
 ${haskell:Blurb}

Package: libghc-hashtables-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: mutable hash tables -- profiling libraries${haskell:ShortBlurb}
 This package provides a couple of different implementations of mutable hash
 tables in the ST monad, as well as a typeclass abstracting their common
 operations, and a set of wrappers to use the hash tables in the IO monad.
 .
 There are three hash table implementations:
 .
  * Data.HashTable.ST.Basic contains a basic open-addressing hash table using
    linear probing as the collision strategy. This should currently be the
    fastest available hash table implementation for lookups, although it has a
    higher memory overhead than others.
  * Data.HashTable.ST.Cuckoo contains an implementation of "cuckoo hashing".
    Cuckoo hashing has worst-case O(1) lookups and performs well even when the
    table is highly loaded.
  * Data.HashTable.ST.Linear contains a linear hash table, which trades some
    insert and lookup performance for higher space efficiency and much shorter
    delays when expanding the table.
 .
 ${haskell:Blurb}

Package: libghc-hashtables-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: mutable hash tables -- documentation${haskell:ShortBlurb}
 This package provides a couple of different implementations of mutable hash
 tables in the ST monad, as well as a typeclass abstracting their common
 operations, and a set of wrappers to use the hash tables in the IO monad.
 .
 There are three hash table implementations:
 .
  * Data.HashTable.ST.Basic contains a basic open-addressing hash table using
    linear probing as the collision strategy. This should currently be the
    fastest available hash table implementation for lookups, although it has a
    higher memory overhead than others.
  * Data.HashTable.ST.Cuckoo contains an implementation of "cuckoo hashing".
    Cuckoo hashing has worst-case O(1) lookups and performs well even when the
    table is highly loaded.
  * Data.HashTable.ST.Linear contains a linear hash table, which trades some
    insert and lookup performance for higher space efficiency and much shorter
    delays when expanding the table.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hashtables/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hashtables 1.2.1.1

=== debian/changelog ===
haskell-hashtables (1.2.1.1-1build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jul 2017 09:35:01 +0200

haskell-hashtables (1.2.1.1-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 16:36:53 +0200

haskell-hashtables (1.2.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 14:43:54 -0400

haskell-hashtables (1.2.1.0-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:00 -0400

haskell-hashtables (1.2.1.0-2) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 16:07:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,44 @@
 Source: haskell-hashtables
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>
+Uploaders:
+ Iain Lane <laney@debian.org>,
 Priority: extra
 Section: haskell
-Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+Build-Depends:
  cdbs,
- ghc,
+ debhelper (>= 9),
+ ghc (>= 8),
  ghc-prof,
+ haskell-devscripts (>= 0.13),
  libghc-hashable-dev,
  libghc-hashable-prof,
  libghc-primitive-dev,
  libghc-primitive-prof,
  libghc-vector-dev (>= 0.7),
- libghc-vector-dev (<< 0.12),
+ libghc-vector-dev (<< 0.13),
  libghc-vector-prof,
-Build-Depends-Indep: ghc-doc,
+Build-Depends-Indep:
+ ghc-doc,
  libghc-hashable-doc,
  libghc-primitive-doc,
  libghc-vector-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://github.com/gregorycollins/hashtables
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hashtables
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-hashtables-dev
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: mutable hash tables${haskell:ShortBlurb}
  This package provides a couple of different implementations of mutable hash
  tables in the ST monad, as well as a typeclass abstracting their common
@@ -54,12 +61,16 @@
 
 Package: libghc-hashtables-prof
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: mutable hash tables -- profiling libraries${haskell:ShortBlurb}
  This package provides a couple of different implementations of mutable hash
  tables in the ST monad, as well as a typeclass abstracting their common
@@ -83,12 +94,16 @@
 Package: libghc-hashtables-doc
 Architecture: all
 Section: doc
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: mutable hash tables -- documentation${haskell:ShortBlurb}
  This package provides a couple of different implementations of mutable hash
  tables in the ST monad, as well as a typeclass abstracting their common

## haskell-hashtables 1.2.2.0

=== debian/changelog ===
haskell-hashtables (1.2.2.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 04 Nov 2017 21:07:30 +0200

## haskell-hashtables 1.2.2.1

=== debian/changelog ===
haskell-hashtables (1.2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 24 Nov 2017 15:47:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Iain Lane <laney@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -22,7 +22,7 @@
  libghc-hashable-doc,
  libghc-primitive-doc,
  libghc-vector-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://github.com/gregorycollins/hashtables
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hashtables
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

## haskell-hashtables 1.2.3.0

=== debian/changelog ===
haskell-hashtables (1.2.3.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:05:20 -0400

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
  libghc-hashable-doc,
  libghc-primitive-doc,
  libghc-vector-doc,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://github.com/gregorycollins/hashtables
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hashtables
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashtables
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: libghc-hashtables-dev
 Architecture: any

## haskell-hashtables 1.2.3.1

=== debian/changelog ===
haskell-hashtables (1.2.3.1-1build1) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 15:26:53 +0200

haskell-hashtables (1.2.3.1-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 22:24:03 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  Iain Lane <laney@debian.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 9),
@@ -25,7 +26,7 @@
 Standards-Version: 4.1.4
 Homepage: http://github.com/gregorycollins/hashtables
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashtables
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hashtables]
 
 Package: libghc-hashtables-dev
 Architecture: any

## haskell-hashtables 1.2.3.3

=== debian/changelog ===
haskell-hashtables (1.2.3.3-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2019 08:49:32 +0200

haskell-hashtables (1.2.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 29 Jul 2019 20:33:28 -0400

haskell-hashtables (1.2.3.1-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:10:33 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  ghc (>= 8),
  ghc-prof,
  haskell-devscripts (>= 0.13),

## haskell-hashtables 1.2.3.4

=== debian/changelog ===
haskell-hashtables (1.2.3.4-1build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 00:47:35 +0000

haskell-hashtables (1.2.3.4-1build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 17:24:36 +0200

haskell-hashtables (1.2.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 16:42:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-hashtables
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Iain Lane <laney@debian.org>,
 Priority: optional

## haskell-hashtables 1.2.4.2

=== debian/changelog ===
haskell-hashtables (1.2.4.2-1build1) lunar; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 11 Dec 2022 05:40:37 +0100

haskell-hashtables (1.2.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 16:18:36 -0400

## haskell-hashtables 1.3.1

=== debian/changelog ===
haskell-hashtables (1.3.1-2build1) plucky; urgency=medium

  * No-change rebuild for GHC ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Oct 2024 10:42:52 +0200

haskell-hashtables (1.3.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 03 Oct 2024 10:17:15 +0300

haskell-hashtables (1.3.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 10 Sep 2023 22:00:18 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-hashtables
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Iain Lane <laney@debian.org>,
 Priority: optional
@@ -9,22 +8,23 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-hashable-dev,
+ libghc-hashable-dev (>= 1.4),
+ libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
  libghc-primitive-dev,
  libghc-primitive-prof,
  libghc-vector-dev (>= 0.7),
- libghc-vector-dev (<< 0.13),
+ libghc-vector-dev (<< 0.14),
  libghc-vector-prof,
 Build-Depends-Indep:
  ghc-doc,
  libghc-hashable-doc,
  libghc-primitive-doc,
  libghc-vector-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.7.0
 Homepage: http://github.com/gregorycollins/hashtables
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashtables
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hashtables]

## haskell-hashtables 1.4.2

=== debian/changelog ===
haskell-hashtables (1.4.2-1) unstable; urgency=medium

  * New upstream version.
    - GCC 15 compatibility fixes.  closes: #1096798.

 -- Clint Adams <clint@debian.org>  Sat, 06 Sep 2025 09:19:53 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-hashable-dev (>= 1.4),
- libghc-hashable-dev (<< 1.5),
+ libghc-hashable-dev (<< 1.6),
  libghc-hashable-prof,
  libghc-primitive-dev,
  libghc-primitive-prof,
@@ -24,7 +24,7 @@
  libghc-hashable-doc,
  libghc-primitive-doc,
  libghc-vector-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://github.com/gregorycollins/hashtables
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashtables
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hashtables]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/hashtables/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
